Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451966 - app-misc/g15daemon start-stop-daemon: fopen `/var/run/g15daemon.pid': No such file or directory
Summary: app-misc/g15daemon start-stop-daemon: fopen `/var/run/g15daemon.pid': No such...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: keepdir-var-run_lock
  Show dependency tree
 
Reported: 2013-01-14 03:56 UTC by Manuel Rüger
Modified: 2013-03-01 23:17 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
rewritte init script (g15daemon-1.9.5.3.initd,1.02 KB, text/plain)
2013-02-23 17:22 UTC, Lars Wendler (Polynomial-C)
Details
rewritten init script with typos being fixed (g15daemon-1.9.5.3.initd,1.02 KB, text/plain)
2013-02-23 17:23 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger gentoo-dev 2013-01-14 03:56:14 UTC
When I want to stop g15daemon or when shutting down the system I receive the following message:

 * Stopping g15daemon ...
 * start-stop-daemon: fopen `/var/run/g15daemon.pid': No such file or directory

The file itself exists:

ls -lisa /var/run/g15daemon.pid
79783 4 -rw-r--r-- 1 root root 6 14. Jan 04:52 /var/run/g15daemon.pid
ls -lisa /var/run
108527626 0 lrwxrwxrwx 1 root root 4 19. Okt 09:18 /var/run -> /run/
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2013-02-23 17:22:07 UTC
Created attachment 339820 [details]
rewritte init script

Please find attached a rewritten init script which fixes this problem.

I gonna commit this init script in case there's no action from the real maintainers within the next two week or I get permission to commit this before the two weeks have passed.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2013-02-23 17:23:44 UTC
Created attachment 339822 [details]
rewritten init script with typos being fixed
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-02-23 23:09:44 UTC
+1 to commit
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2013-03-01 23:17:00 UTC
+*g15daemon-1.9.5.3-r7 (01 Mar 2013)
+
+  01 Mar 2013; Lars Wendler <polynomial-c@gentoo.org>
+  g15daemon-1.9.5.3-r6.ebuild, +g15daemon-1.9.5.3-r7.ebuild,
+  +files/g15daemon-1.9.5.3.initd, g15daemon-9999.ebuild:
+  Non-maintainer commit. Added rewritten init script to fix bug #451966. Thanks
+  to Manuel Rüger for reporting this. Moved ebuild with g510 support to -r7.
+